# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KUnixSocketAddress Class Reference

A Unix socket address a Unix socket address. More...

`#include <ksockaddr.h>`

Inheritance diagram for KUnixSocketAddress:

[legend]
Collaboration diagram for KUnixSocketAddress:

[legend]
List of all members.

## Public Member Functions

| KUnixSocketAddress ()
| KUnixSocketAddress (const sockaddr_un *raw_data, ksocklen_t size)
| KUnixSocketAddress (QCString pathname)
virtual | ~KUnixSocketAddress ()
bool | setAddress (const sockaddr_un *socket_address, ksocklen_t size)
bool | setAddress (QCString path)
QCString | pathname () const
virtual QString | pretty () const
virtual QString | serviceName () const
const sockaddr_un * | address () const
| operator const sockaddr_un * () const

## Static Public Member Functions

static bool | areEqualUnix (const KSocketAddress &s1, const KSocketAddress &s2, bool coreOnly)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Friends

class | KExtendedSocket

## Detailed Description

A Unix socket address a Unix socket address.

This is a Unix socket address.

This class expects QCString instead of QString values, which means the filenames should be encoded in whatever form locale/system deems necessary before passing down to the function

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 584 of file ksockaddr.h.

## Constructor & Destructor Documentation

KUnixSocketAddress::KUnixSocketAddress | ( |  | ) |

| Default constructor. Definition at line 741 of file ksockaddr.cpp.

KUnixSocketAddress::KUnixSocketAddress | ( | const sockaddr_un * | raw_data,
|  | ksocklen_t | size
| ) |

Constructor from raw data.

Parameters:

  | raw_data | raw data
  | size | data length

Definition at line 746 of file ksockaddr.cpp.

References setAddress().

KUnixSocketAddress::KUnixSocketAddress | ( | QCString | pathname | ) |

Constructor from pathname.

Parameters:

  | pathname | pathname

Definition at line 752 of file ksockaddr.cpp.

References setAddress().

KUnixSocketAddress::~KUnixSocketAddress | ( |  | ) | `[virtual]`

| Destructor. Definition at line 758 of file ksockaddr.cpp.

## Member Function Documentation

bool KUnixSocketAddress::setAddress | ( | const sockaddr_un * | socket_address,
|  | ksocklen_t | size
| ) |

Sets this to given sockaddr_un.

Parameters:

  | socket_address | socket address
  | size | the socket length

Returns:
  true if successful, false otherwise

Definition at line 763 of file ksockaddr.cpp.

Referenced by KUnixSocketAddress().

bool KUnixSocketAddress::setAddress | ( | QCString | path | ) |

Sets this to given pathname.

Parameters:

  | path | pathname

Returns:
  true if successful, false otherwise

Definition at line 802 of file ksockaddr.cpp.

References QCString::length().

QCString KUnixSocketAddress::pathname | ( |  | ) | const

Returns the pathname.

Returns:
  the pathname, can be QCString::null if uninitialized, or "" if unknown

Definition at line 838 of file ksockaddr.cpp.

Referenced by pretty(), and serviceName().

QString KUnixSocketAddress::pretty | ( |  | ) | const`[virtual]`

Returns pretty representation of this socket.

Returns:
  a pretty text representation of the socket.

Reimplemented from KSocketAddress.

Definition at line 849 of file ksockaddr.cpp.

References QFile::decodeName(), QCString::isEmpty(), and pathname().

QString KUnixSocketAddress::serviceName | ( |  | ) | const`[virtual]`

Returns the service name for this socket, as KExtendedSocket::lookup expects as the service argument.

In the case of Internet sockets, this is the port number. The default implementation returns QString::null.

Returns:
  the service name, can be QString::null

Reimplemented from KSocketAddress.

Definition at line 857 of file ksockaddr.cpp.

References QString::fromUtf8(), and pathname().

const sockaddr_un * KUnixSocketAddress::address | ( |  | ) | const

Returns raw socket address.

Returns:
  the raw socket address (can be 0 if uninitialized)

Reimplemented from KSocketAddress.

Definition at line 862 of file ksockaddr.cpp.

KUnixSocketAddress::operator const sockaddr_un * | ( |  | ) | const`[inline]`

Returns raw socket address.

Returns:
  the raw socket address (can be 0 if uninitialized)

See also:
  address()

Definition at line 658 of file ksockaddr.h.

References KSocketAddress::address().

bool KUnixSocketAddress::areEqualUnix | ( | const KSocketAddress & | s1,
|  | const KSocketAddress & | s2,
|  | bool | coreOnly
| ) | `[static]`

Compares two unix socket addresses.

Parameters:

  | s1 | the first address to compare
  | s2 | the second address to compare
  | coreOnly | true if only core parts should be compared (currently unused)

Returns:
  true if the given addresses are equal.

See also:
  KSocketAddress::isEqual()

  KSocketAddress::isCoreEqual()

Definition at line 867 of file ksockaddr.cpp.

Referenced by KSocketAddress::isCoreEqual(), and KSocketAddress::isEqual().

The documentation for this class was generated from the following files:

- ksockaddr.h
- ksockaddr.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003